OgreEntity.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreCommon.h"`
`#include "OgreString.h"`
`#include "OgreMovableObject.h"`
`#include "OgreQuaternion.h"`
`#include "OgreVector3.h"`
`#include "OgreHardwareBufferManager.h"`
`#include "OgreMesh.h"`
`#include "OgreRenderable.h"`
`#include "OgreResourceGroupManager.h"`

Go to the source code of this file.

## Classes

class | Ogre::Entity
| Defines an instance of a discrete, movable object based on a Mesh. More...
class | Ogre::Entity::EntityShadowRenderable
| Nested class to allow entity shadows. More...
class | Ogre::EntityFactory
| Factory object for creating Entity instances. More...

## Namespaces

namespace | Ogre

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:24